Bug 1696454 - Please include fuse3 and fuse3-libs in EPEL
Summary: Please include fuse3 and fuse3-libs in EPEL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fuse
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Dykstra
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-04 21:19 UTC by Dave Dykstra
Modified: 2019-05-30 17:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-23 20:03:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Dave Dykstra 2019-04-04 21:19:03 UTC
Description of problem:

fuse3 and fuse3-libs are not available on EPEL6 or EPEL7, although they are available in Fedora.

Version-Release number of selected component (if applicable):

>= 3.3.0

Additional info:

Version 3.3.0 of libfuse includes a great new feature that enables pre-mounting fuse filesystems and passing through the file descriptor as a /dev/fd/N mountpoint.  We want to use this to premount in singularity and start fuse applications (specifically the CernVM FileSystem, cvmfs) in user-maintained containers based on CentOS 6 & 7, so we for that we need the fuse3-libs.

Comment 1 Peter Lemenkov 2019-04-05 10:58:34 UTC
(In reply to Dave Dykstra from comment #0)
> Description of problem:
> 
> fuse3 and fuse3-libs are not available on EPEL6 or EPEL7, although they are
> available in Fedora.

I'm afraid this is not simple. What you're asking is to add a new package - fuse3 (we cannot alter an existing fuse package since we don't expand/change existing packages from various RHEL distributions). Unfortunately I'm personally not very interested in EPEL recently so I am not going to do it.

However I'd love to review it if anyone steps in as a potential fuse3 maintainer in EPEL.

Comment 2 Dave Dykstra 2019-04-05 11:47:22 UTC
Hi Peter,

I think it should be pretty straightforward to build an existing Fedora package on EPEL, it's just a couple more branches.  That was my experience with the singularity package that I maintain.

I see that the existing packaging in Fedora builds both fuse and fuse3 rpms from the same spec file.  I'll try porting that to EPEL and see how it works, and plan on at least submitting a pull request.  If that's not sufficient I'd be willing to become a co-maintainer of the package for the EPEL builds.

Dave

Comment 3 Peter Lemenkov 2019-04-05 11:51:14 UTC
(In reply to Dave Dykstra from comment #2)
> Hi Peter,
> 
> I think it should be pretty straightforward to build an existing Fedora
> package on EPEL, it's just a couple more branches.  That was my experience
> with the singularity package that I maintain.
> 
> I see that the existing packaging in Fedora builds both fuse and fuse3 rpms
> from the same spec file.  I'll try porting that to EPEL and see how it
> works, and plan on at least submitting a pull request.  If that's not
> sufficient I'd be willing to become a co-maintainer of the package for the
> EPEL builds.

Cool! Sounds like a plan.
I'll review this package then. However I still believe we have to open a separate review request for fuse3.

Comment 4 Dave Dykstra 2019-04-05 13:18:22 UTC
As I understand it, it needs to be approved by the EPEL Engineering Steering Committee (EPSCO).  I will bring it up on the epel-devel mailing list and probably make a ticket for the formal request.  Other than that, I'm pretty sure it's just a matter of doing very similar commands (fedpkg build, fedpkg update) on the el6 and epel7 branches as are done on the f* branches.

Before I can make a pull request, there will need to be el6 and epel7 branches in the upstream git repository.  You could branch them off the master branch.  I don't know if you want to wait for approval from EPSCO for that, but it shouldn't hurt anything to create them; nothing will really happen until a maintainer runs fedpkg build in the branch.

Comment 5 Dave Dykstra 2019-04-05 18:04:27 UTC
The folks on epel-devel told me that we'll have to split up the fuse package into two, a fuse and a fuse3 package.  I'm willing to do the work to make the conversion.  Is that alright with you?   They also pointed me to https://docs.fedoraproject.org/en-US/packaging-guidelines/ReviewGuidelines/#_package_review_process which says that the review process does not need to be followed to create a package with just a version number added, and to use the --exception flag to fedpkg request-repo.  Shall I go ahead and do the request-repo for fuse3, or do you want to do that part?  If I do it I assume I will be the original maintainer but I'll add you as a maintainer as well.

Comment 6 Dave Dykstra 2019-04-05 18:11:43 UTC
I forgot to mention the reason that a split is needed is that we can't put a fuse package in EPEL because RHEL already has one.

Comment 7 Peter Lemenkov 2019-04-05 18:16:30 UTC
(In reply to Dave Dykstra from comment #5)
> The folks on epel-devel told me that we'll have to split up the fuse package
> into two, a fuse and a fuse3 package.  I'm willing to do the work to make
> the conversion.  Is that alright with you?   They also pointed me to
> https://docs.fedoraproject.org/en-US/packaging-guidelines/ReviewGuidelines/
> #_package_review_process which says that the review process does not need to
> be followed to create a package with just a version number added, and to use
> the --exception flag to fedpkg request-repo.  Shall I go ahead and do the
> request-repo for fuse3, or do you want to do that part?  If I do it I assume
> I will be the original maintainer but I'll add you as a maintainer as well.

Dave, please do. Also I would very welcome you to the Fedora fuse co-maintainers if it helps speed up the process.

(In reply to Dave Dykstra from comment #6)
> I forgot to mention the reason that a split is needed is that we can't put a
> fuse package in EPEL because RHEL already has one.

Yes, that's understandable (and I've mentioned this issue earlier in comment 1).

Comment 8 Dave Dykstra 2019-04-05 18:20:43 UTC
(In reply to Peter Lemenkov from comment #7)
> > I forgot to mention the reason that a split is needed is that we can't put a
> > fuse package in EPEL because RHEL already has one.
> 
> Yes, that's understandable (and I've mentioned this issue earlier in comment
> 1).

Ok looking back now I see what you were saying.  I didn't understand at first.

Comment 9 Dave Dykstra 2019-04-05 19:15:03 UTC
Here's the ticket requesting the fuse3 package: https://pagure.io/releng/fedora-scm-requests/issue/10887

Comment 10 Dave Dykstra 2019-04-05 20:50:03 UTC
Meanwhile while waiting for that I wanted to prove I could build on centos 7.  I managed to do that by adding a few %ifs in the current fuse.spec.

Building for EPEL6 is a no-go because there's no meson.  Meson was added to EPEL7 in https://partner-bugzilla.redhat.com/show_bug.cgi?id=1484450 and the maintainer said "I hope you don't want to have it in EPEL6..".  We can probably do without fuse3 on EPEL6 too.

Comment 12 Dave Dykstra 2019-04-29 18:23:28 UTC
Peter, are you still there?

Can you please review https://src.fedoraproject.org/rpms/fuse/pull-request/1 ?

I assign this ticket to you again for now since it's waiting on you.

Comment 13 Peter Lemenkov 2019-05-01 10:56:20 UTC
(In reply to Dave Dykstra from comment #12)
> Peter, are you still there?
> 
> Can you please review https://src.fedoraproject.org/rpms/fuse/pull-request/1
> ?
> 
> I assign this ticket to you again for now since it's waiting on you.

Hello Dave,
Sorry for the delay - I was busy a little. I've added you as a fuse co-maintaner to simplify things.

This PR looks ok but it has conflicts right now. Please fix them and merge by yourself (I'm at the vacations for the next two weeks).

Comment 14 Fedora Update System 2019-05-02 00:35:05 UTC
fuse3-3.4.2-6.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2dbe0563ea

Comment 15 Fedora Update System 2019-05-02 00:37:30 UTC
fuse3-3.4.2-6.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-723856770a

Comment 16 Fedora Update System 2019-05-02 00:38:37 UTC
fuse3-3.4.2-6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-78fff2916e

Comment 17 Fedora Update System 2019-05-02 00:39:25 UTC
fuse3-3.4.2-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0f408e00c0

Comment 18 Fedora Update System 2019-05-03 02:01:57 UTC
fuse3-3.4.2-6.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-78fff2916e

Comment 19 Fedora Update System 2019-05-03 04:12:05 UTC
fuse3-3.4.2-6.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2dbe0563ea

Comment 20 Fedora Update System 2019-05-03 04:26:16 UTC
fuse3-3.4.2-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0f408e00c0

Comment 21 Fedora Update System 2019-05-03 05:41:37 UTC
fuse3-3.4.2-6.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-723856770a

Comment 22 Fedora Update System 2019-05-03 15:47:34 UTC
fuse-2.9.9-7.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-afc9c91690

Comment 23 Fedora Update System 2019-05-03 15:48:16 UTC
fuse-2.9.9-7.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3b403286dc

Comment 24 Fedora Update System 2019-05-03 15:49:13 UTC
fuse-2.9.9-7.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-44ac6082f0

Comment 25 Fedora Update System 2019-05-04 01:12:12 UTC
fuse-2.9.9-7.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-44ac6082f0

Comment 26 Fedora Update System 2019-05-04 01:57:52 UTC
fuse-2.9.9-7.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-afc9c91690

Comment 27 Fedora Update System 2019-05-04 02:58:27 UTC
fuse-2.9.9-7.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3b403286dc

Comment 28 Fedora Update System 2019-05-07 20:09:10 UTC
fuse3-3.4.2-7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-c3bb94f94c

Comment 29 Fedora Update System 2019-05-08 03:08:42 UTC
fuse3-3.4.2-7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-c3bb94f94c

Comment 30 Fedora Update System 2019-05-11 01:57:11 UTC
fuse3-3.4.2-6.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2019-05-11 02:37:16 UTC
fuse3-3.4.2-6.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2019-05-11 23:10:33 UTC
fuse3-3.4.2-6.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2019-05-18 02:48:42 UTC
fuse3-3.4.2-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2019-05-23 20:03:51 UTC
fuse3-3.4.2-7.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2019-05-28 01:09:40 UTC
fuse-2.9.9-7.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2019-05-30 17:27:14 UTC
fuse-2.9.9-7.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.